package com.ss.android.ugc.aweme.impl;

import X.7vD;
import X.C0923KMo;
import X.C4672Lnj;
import X.KJ5;
import X.KN2;
import X.KNE;
import X.KNH;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.web.jsbridge2.IJsBridge2Config;
import com.ss.android.ugc.aweme.jsbridge.JsBridge2PermissionConfigurator;

public class JsBridge2ConfigImpl implements IJsBridge2Config {
    static {
        Covode.recordClassIndex(87740);
    }

    public final C0923KMo LIZ() {
        if (7vD.LIZIZ()) {
            return new JsBridge2PermissionConfigurator();
        }
        return null;
    }

    public final KNE LIZIZ() {
        if (7vD.LIZIZ()) {
            return new KN2();
        }
        return null;
    }

    public final KNH LIZJ() {
        if (7vD.LIZIZ()) {
            return new KJ5();
        }
        return null;
    }

    public static IJsBridge2Config LIZLLL() {
        IJsBridge2Config iJsBridge2Config = (IJsBridge2Config) C4672Lnj.LIZ(IJsBridge2Config.class, false);
        if (iJsBridge2Config != null) {
            return iJsBridge2Config;
        }
        Object LIZIZ = C4672Lnj.LIZIZ(IJsBridge2Config.class, false);
        if (LIZIZ != null) {
            return (IJsBridge2Config) LIZIZ;
        }
        return new JsBridge2ConfigImpl();
    }
}
